GeoServer 文件上传漏洞

来源: 投稿
2024-03-21 16:30:00

漏洞描述

GeoServer是一个用Java编写的开源软件服务器,允许用户共享和编辑地理空间数据。

GeoServer受影响版本中存在任意文件上传漏洞。由于未验证用户输入的文件包装器资源路径是否包含"..",有登陆权限的攻击者可以通过构造恶意的 REST Coverage Store API 请求,上传任意文件以此执行任意代码。

漏洞名称 GeoServer 文件上传漏洞
漏洞类型 任意文件上传
发现时间 2024-03-20
漏洞影响广度 广
MPS编号 MPS-k1cj-eg7w
CVE编号 CVE-2023-51444
CNVD编号 -

影响范围

org.geoserver:gs-restconfig@(-∞, 2.23.4)

org.geoserver:gs-platform@[2.24.0, 2.24.1)

org.geoserver:gs-restconfig@[2.24.0, 2.24.1)

org.geoserver:gs-platform@(-∞, 2.23.4)

修复方案

将组件 org.geoserver:gs-restconfig 升级至 2.23.4 及以上版本

将组件 org.geoserver:gs-platform 升级至 2.24.1 及以上版本

将组件 org.geoserver:gs-restconfig 升级至 2.24.1 及以上版本

将 org.geoserver:gs-platform 升级至 2.23.4 及以上版本

参考链接

https://www.oscs1024.com/hd/MPS-k1cj-eg7w

https://nvd.nist.gov/vuln/detail/CVE-2023-51444

 

 

 

 

    

免费情报订阅&代码安全检测

OSCS是国内首个开源软件供应链安全社区,社区联合开发者帮助全球顶级开源项目解决安全问题,并提供实时的安全漏洞情报,同时提供专业的代码安全检测工具为开发者免费使用。社区开发者可以通过配置飞书、钉钉、企业微信机器人获取一手的情报。

免费代码安全检测工具: https://www.murphysec.com/?src=osc

免费情报订阅: https://www.oscs1024.com/cm/?src=osc

具体订阅方式详见: https://www.oscs1024.com/docs/vuln-warning/intro/?src=osc

展开阅读全文
点击引领话题📣 发布并加入讨论🔥
0 评论
2 收藏
分享
返回顶部
顶部